TilesException (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class TilesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.struts.tiles.TilesException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DefinitionsFactoryException

    public class TilesException

extends Exception

Root class for all Tiles-exceptions.

See Also:
  Serialized Form

Constructor Summary
`TilesException()` Constructor.
`TilesException(Exception e)` Create a new `TilesException` wrapping an existing exception.
`TilesException(String message)` Constructor.
`TilesException(String message, Exception e)` Create a new `TilesException` from an existing exception.

Method Summary
`Exception` | `getException()` Return the embedded exception, if any.
`String` | `getMessage()` Return a detail message for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TilesException

    public TilesException()

  Constructor.

### TilesException

    public TilesException(String message)

  Constructor.

  Parameters:
    `message` - The error or warning message.

### TilesException

    public TilesException(Exception e)

  Create a new `TilesException` wrapping an existing exception.

  The existing exception will be embedded in the new one, and its message will become the default message for the TilesException.

  Parameters:
    `e` - The exception to be wrapped.

### TilesException

    public TilesException(String message,
                          Exception e)

  Create a new `TilesException` from an existing exception.

  The existing exception will be embedded in the new one, but the new exception will have its own message.

  Parameters:
    `message` - The detail message.
    `e` - The exception to be wrapped.

Method Detail

### getMessage

    public String getMessage()

  Return a detail message for this exception.

  If there is a embedded exception, and if the TilesException has no detail message of its own, this method will return the detail message from the embedded exception.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    The error or warning message.

### getException

    public Exception getException()

  Return the embedded exception, if any.

  Returns:
    The embedded exception, or `null` if there is none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.